unit uContabilidadViewRegister;

interface

procedure RegisterViews;
procedure UnregisterViews;

implementation

uses
  uEditorRegistryUtils, uEditorBalance, uEditorBalances, uEditorElegirBalances,
  uEditorCuentaEspecial, uEditorCuentasEspeciales, uEditorElegirCuentasEspeciales,
  uEditorEpigrafe, uEditorElegirEpigrafes, uEditorEpigrafes,
  uEditorCuenta, uEditorCuentas, uEditorElegirCuentas,
  uEditorSubCuenta, uEditorSubCuentas, uEditorElegirSubCuentas,
  uEditorAsiento, uEditorDiario, uEditorExtractoMovimientos, uEditorApunte;

procedure RegisterViews;
begin
  EditorRegistry.RegisterClass(TfEditorBalances, 'EditorBalances');
  EditorRegistry.RegisterClass(TfEditorBalance, 'EditorBalance');
  EditorRegistry.RegisterClass(TfEditorElegirBalances, 'EditorElegirBalances');
  EditorRegistry.RegisterClass(TfEditorCuentasEspeciales, 'EditorCuentasEspeciales');
  EditorRegistry.RegisterClass(TfEditorCuentaEspecial, 'EditorCuentaEspecial');
  EditorRegistry.RegisterClass(TfEditorElegirCuentasEspeciales, 'EditorElegirCuentasEspeciales');
  EditorRegistry.RegisterClass(TfEditorEpigrafes, 'EditorEpigrafes');
  EditorRegistry.RegisterClass(TfEditorEpigrafe, 'EditorEpigrafe');
  EditorRegistry.RegisterClass(TfEditorElegirEpigrafes, 'EditorElegirEpigrafes');
  EditorRegistry.RegisterClass(TfEditorCuentas, 'EditorCuentas');
  EditorRegistry.RegisterClass(TfEditorCuenta, 'EditorCuenta');
  EditorRegistry.RegisterClass(TfEditorElegirCuentas, 'EditorElegirCuentas');
  EditorRegistry.RegisterClass(TfEditorSubCuentas, 'EditorSubCuentas');
  EditorRegistry.RegisterClass(TfEditorSubCuenta, 'EditorSubCuenta');
  EditorRegistry.RegisterClass(TfEditorElegirSubCuentas, 'EditorElegirSubCuentas');
  EditorRegistry.RegisterClass(TfEditorAsiento, 'EditorAsiento');
  EditorRegistry.RegisterClass(TfEditorDiario, 'EditorDiario');
  EditorRegistry.RegisterClass(TfEditorApunte, 'EditorApunte');
  EditorRegistry.RegisterClass(TfEditorExtractoMovimientos, 'EditorExtractoMovimientos');
end;

procedure UnregisterViews;
begin
  EditorRegistry.UnRegisterClass(TfEditorBalances);
  EditorRegistry.UnRegisterClass(TfEditorBalance);
  EditorRegistry.UnRegisterClass(TfEditorElegirBalances);
  EditorRegistry.UnRegisterClass(TfEditorCuentasEspeciales);
  EditorRegistry.UnRegisterClass(TfEditorCuentaEspecial);
  EditorRegistry.UnRegisterClass(TfEditorElegirCuentasEspeciales);
  EditorRegistry.UnRegisterClass(TfEditorEpigrafes);
  EditorRegistry.UnRegisterClass(TfEditorEpigrafe);
  EditorRegistry.UnRegisterClass(TfEditorElegirEpigrafes);
  EditorRegistry.UnRegisterClass(TfEditorCuentas);
  EditorRegistry.UnRegisterClass(TfEditorCuenta);
  EditorRegistry.UnRegisterClass(TfEditorElegirCuentas);
  EditorRegistry.UnRegisterClass(TfEditorSubCuentas);
  EditorRegistry.UnRegisterClass(TfEditorSubCuenta);
  EditorRegistry.UnRegisterClass(TfEditorElegirSubCuentas);
  EditorRegistry.UnRegisterClass(TfEditorDiario);
  EditorRegistry.UnRegisterClass(TfEditorAsiento);
  EditorRegistry.UnRegisterClass(TfEditorApunte);
  EditorRegistry.UnRegisterClass(TfEditorExtractoMovimientos);
end;

end.
